GPG-ZIP(1)

NAME
gpg-zip - encrypt or sign files into an archive

SYNOPSIS
gpg-zip [OPTIONS] filename1 [filename2, ...] directory1 [directory2, ...]

DESCRIPTION
This manual page documents briefly the gpg-zip command.

gpg-zip IS DEPRECATED. PLEASE USE gpgtar(1) instead.

gpg-zip encrypts or signs files into an archive. It is an gpg-ized tar using the same format as PGP's PGP Zip.

OPTIONS

-e, --encrypt
    Encrypt data. This option may be combined with --symmetric (for output that may be decrypted via a secret key or a passphrase).

-d, --decrypt
    Decrypt data.

-c, --symmetric
    Encrypt with a symmetric cipher using a passphrase. The default symmetric cipher used is CAST5, but may be chosen with the --cipher-algo option to gpg(1).

-s, --sign
    Make a signature. See gpg(1).

-r, --recipient USER
    Encrypt for user id USER. See gpg(1).

-u, --local-user USER
    Use USER as the key to sign with. See gpg(1).

--list-archive
    List the contents of the specified archive.

-o, --output FILE"
    Write output to specified file FILE.

--gpg GPG
    Use the specified command instead of gpg.

--gpg-args ARGS
    Pass the specified options to gpg(1).

--tar TAR
    Use the specified command instead of tar.

--tar-args ARGS
    Pass the specified options to tar(1).

-h, --help
    Output a short usage information.

--version
    Output the program version.

DIAGNOSTICS
The program returns 0 if everything was fine, 1 otherwise.

EXAMPLES
Encrypt the contents of directory mydocs for user Bob to file test1:

    gpg-zip --encrypt --output test1 --gpg-args -r Bob"" mydocs

List the contents of archive test1:

    gpg-zip --list-archive test1

SEE ALSO
gpg(1), gpgtar(1), tar(1)

AUTHOR
Copyright (C) 2005 Free Software Foundation, Inc. Please report bugs to <bug-gnupg@gnu.org>. This manpage was written by Colin Tuckley <colin@tuckley.org> and Daniel Leidert <daniel.leidert@wgdd.de> for the Debian distribution (but may be used by others).